Origin Docs

Transcribe audio

POST
/v1/audio/transcriptions
AuthorizationBearer <token>

API key as a bearer token: Authorization: Bearer sk-ollm-<public_id>-<secret>. Required on the dev gateway; the prod gateway is open and ignores this header.

In: header

filestring

The audio file to transcribe.

modelstring

Model name as registered in the gateway config.

language?string

ISO-639-1 language code.

prompt?string

Optional context string.

response_format?string
Default"json"
Value in"json" | "text" | "srt" | "verbose_json" | "vtt"
temperature?number
Formatfloat
Range0 <= value <= 1

Response Body

application/json

application/json

application/json

curl -X POST "https://api.gateway.orgn.com/v1/audio/transcriptions" \  -F file="string" \  -F model="string"
{
  "text": "string"
}
{
  "error": {
    "message": "string",
    "type": "string",
    "code": "string",
    "param": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "code": "string",
    "param": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "code": "string",
    "param": "string"
  }
}